---
version: 1.1.x.{build}
skip_branch_with_pr: true
branches:
  only:
    - main
    - release
skip_commits:
  message: /^\(?doc\)?.*/
clone_depth: 10
init:
  - SET
  - 'mkdir C:\ProgramData\PuppetLabs\code && exit 0'
  - 'mkdir C:\ProgramData\PuppetLabs\facter && exit 0'
  - 'mkdir C:\ProgramData\PuppetLabs\hiera && exit 0'
  - 'mkdir C:\ProgramData\PuppetLabs\puppet\var && exit 0'
environment:
  matrix:
    -
      RUBY_VERSION: 25-x64
      CHECK: validate lint check rubocop
    -
      PUPPET_GEM_VERSION: ~> 6.0
      RUBY_VERSION: 25
      CHECK: parallel_spec
    -
      PUPPET_GEM_VERSION: ~> 6.0
      RUBY_VERSION: 25-x64
      CHECK: parallel_spec
matrix:
  fast_finish: true
install:
  - set PATH=C:\Ruby%RUBY_VERSION%\bin;%PATH%
  - bundle install --jobs 4 --retry 2 --without system_tests
  - type Gemfile.lock
build: off
test_script:
  - bundle exec puppet -V
  - ruby -v
  - gem -v
  - bundle -v
  - bundle exec rake %CHECK%
notifications:
  - provider: Email
    to:
      - nobody@nowhere.com
    on_build_success: false
    on_build_failure: false
    on_build_status_changed: false
